import { MsHttpClient } from "./MsHttpClient";

class MsConfig {

    /**
     * 微服务请求地址，消费者可以覆盖自定义实现
     */
    httpClient?: MsHttpClient;

    use(httpClient: MsHttpClient) {
        this.httpClient = httpClient
    }

}

export default new MsConfig()